Index: trunk/libf/dyn3dpar/infotrac.F90
===================================================================
--- trunk/libf/dyn3dpar/infotrac.F90	(revision 7)
+++ trunk/libf/dyn3dpar/infotrac.F90	(revision 8)
@@ -65,5 +65,5 @@
     INTEGER :: nqtrue  ! number of tracers read from tracer.def, without higer order of moment
     INTEGER :: iq, new_iq, iiq, jq, ierr
-
+ 
     character(len=*),parameter :: modname="infotrac_init"
 !-----------------------------------------------------------------------
@@ -84,10 +84,13 @@
     descrq(30)='PRA'
     
-
-    IF (config_inca=='none') THEN
+    IF (planet_type=='earth') THEN
+     IF (config_inca=='none') THEN
        type_trac='lmdz'
+     ELSE
+       type_trac='inca'
+     END IF
     ELSE
-       type_trac='inca'
-    END IF
+     type_trac='plnt'  ! planets... May want to dissociate between each later.
+    ENDIF
 
 !-----------------------------------------------------------------------
@@ -97,31 +100,42 @@
 !
 !-----------------------------------------------------------------------
-    IF (type_trac == 'lmdz') THEN
+    IF (planet_type=='earth') THEN
+     IF (type_trac == 'lmdz') THEN
        OPEN(90,file='traceur.def',form='formatted',status='old', iostat=ierr)
        IF(ierr.EQ.0) THEN
-          WRITE(lunout,*) trim(modname),': Open traceur.def : ok'
+          WRITE(lunout,*) 'Open traceur.def : ok'
           READ(90,*) nqtrue
        ELSE 
-          WRITE(lunout,*) trim(modname),': Problem in opening traceur.def'
-          WRITE(lunout,*) trim(modname),': WARNING using defaut values'
+          WRITE(lunout,*) 'Problem in opening traceur.def'
+          WRITE(lunout,*) 'ATTENTION using defaut values'
           nqtrue=4 ! Defaut value
        END IF
-       if ( planet_type=='earth') then
-         ! For Earth, water vapour & liquid tracers are not in the physics
-         nbtr=nqtrue-2
-       else
-         ! Other planets (for now); we have the same number of tracers
-         ! in the dynamics than in the physics
-         nbtr=nqtrue
-       endif
-    ELSE
+       ! For Earth, water vapour & liquid tracers are not in the physics
+       nbtr=nqtrue-2
+     ELSE
        ! nbtr has been read from INCA by init_cont_lmdz() in gcm.F 
        nqtrue=nbtr+2
-    END IF
-
-    IF ((planet_type=="earth").and.(nqtrue < 2)) THEN
+     END IF
+
+     IF (nqtrue < 2) THEN
        WRITE(lunout,*) trim(modname),': nqtrue=',nqtrue, ' is not allowded. 2 tracers is the minimum'
        CALL abort_gcm('infotrac_init','Not enough tracers',1)
-    END IF
+     END IF
+
+    ELSE  ! not Earth
+       OPEN(90,file='traceur.def',form='formatted',status='old', iostat=ierr)
+       IF(ierr.EQ.0) THEN
+          WRITE(lunout,*) 'Open traceur.def : ok'
+          READ(90,*) nqtrue
+       ELSE 
+          WRITE(lunout,*) 'Problem in opening traceur.def'
+          WRITE(lunout,*) 'ATTENTION using defaut values: nqtrue=1'
+          nqtrue=1 ! Defaut value
+       END IF
+       ! Other planets (for now); we have the same number of tracers
+       ! in the dynamics than in the physics
+       nbtr=nqtrue
+     
+    ENDIF  ! planet_type
 !
 ! Allocate variables depending on nqtrue and nbtr
@@ -158,5 +172,6 @@
 !    Get choice of advection schema from file tracer.def or from INCA
 !---------------------------------------------------------------------
-    IF (type_trac == 'lmdz') THEN
+    IF (planet_type=='earth') THEN
+     IF (type_trac == 'lmdz') THEN
        IF(ierr.EQ.0) THEN
           ! Continue to read tracer.def
@@ -194,5 +209,5 @@
        END DO
 
-    ELSE  ! type_trac=inca : config_inca='aero' ou 'chem'
+     ELSE  ! type_trac=inca : config_inca='aero' ou 'chem'
 ! le module de chimie fournit les noms des traceurs
 ! et les schemas d'advection associes.
@@ -213,5 +228,26 @@
        END DO
 
-    END IF ! type_trac
+     END IF ! type_trac
+
+    ELSE  ! not Earth
+       IF(ierr.EQ.0) THEN
+          ! Continue to read tracer.def
+          DO iq=1,nqtrue
+             READ(90,999) hadv(iq),vadv(iq),tnom_0(iq)
+          END DO
+          CLOSE(90)  
+       ELSE ! Without tracer.def
+          hadv(1) = 10
+          vadv(1) = 10
+          tnom_0(1) = 'dummy'
+       END IF
+       
+       WRITE(lunout,*) trim(modname),': Valeur de traceur.def :'
+       WRITE(lunout,*) trim(modname),': nombre de traceurs ',nqtrue
+       DO iq=1,nqtrue
+          WRITE(lunout,*) hadv(iq),vadv(iq),tnom_0(iq)
+       END DO
+
+    ENDIF  ! planet_type
 
 !-----------------------------------------------------------------------
@@ -280,7 +316,7 @@
        tname(new_iq)= tnom_0(iq)
        IF (iadv(new_iq)==0) THEN
-          ttext(new_iq)=trim(str1)
+          ttext(new_iq)=str1(1:lnblnk(str1))
        ELSE
-          ttext(new_iq)=trim(tnom_0(iq))//descrq(iadv(new_iq))
+          ttext(new_iq)=str1(1:lnblnk(str1))//descrq(iadv(new_iq))
        END IF
 