Index: trunk/chantiers/Readme
===================================================================
--- trunk/chantiers/Readme	(revision 11)
+++ trunk/chantiers/Readme	(revision 16)
@@ -1,3 +1,7 @@
 Ici, on peut mettre tous les chantiers en vue, les idees, la todolist, etc...
+
+****
+Les commits IMPORTANTS doivent etre reportes dans le fichier commit_importants.log
+****
 
 Ajouter des fichiers genre monprochainprojet-Seb.txt, avec une description des
Index: trunk/chantiers/commit_importants.log
===================================================================
--- trunk/chantiers/commit_importants.log	(revision 16)
+++ trunk/chantiers/commit_importants.log	(revision 16)
@@ -0,0 +1,278 @@
+**** commit_v5 ****
+
+** ADAPTATION GCM POUR CP(T)
+**--------------------------
+
+* Ajout d'un fichier cpdet.F contenant toutes les routines nécessaires à 
+  l'utilisation de Cp(T)
+  -> routines ini_cpdet, t2tpot, tpot2t
+  -> fonction cpdet(t)
+
+* Du coup, suppression de tous les cpdet.* de phytitan et phyvenus
+
+* Modif de gcm.F : initialisation ini_cpdet ajoutée
+
+* Modif de comconst.h : ajout de nu_venus et t0_venus
+
+* Modif de caldyn0.F : 
+    - dimensions de pk (ip1jmp1 à la place de iip1,jjp1)
+    - ajout de temp et tsurpk
+    - calcul de temp (tpot2t) et tsurpk
+    - passage de tsurpk à la place de teta dans sortvarc0
+    
+* Modif de caldyn.F :
+    - passage de tsurpk en argument
+    - dimensions de pk (ip1jmp1 à la place de iip1,jjp1)
+    - ajout de temp
+    - passage de tsurpk à la place de teta dans dudv2
+    - passage de tsurpk à la place de teta dans sortvarc
+
+* Modif de calfis.F :
+    - ajout de zteta et zpk
+    - calculs de zteta et zpk
+    - calcul de ztfi via tpot2t
+    - mise en commentaires de pcvgu/v/t/q car ne servent pas... 
+    - (ajout commentaire sur traceurs intensifs)
+    - modification du calcul de pdhfi
+
+* Modif de diagedyn.F :
+  (même si c'est une routine pure Terre, pour l'instant)
+    - calcul de la temperature 
+    - remplacement de RCPD par cpdet(T)
+
+* Modif de leapfrog.F :
+    - ajout de temp et tsurpk
+    - calcul de temp (tpot2t) et tsurpk (3 endroits)
+    - passage de tsurpk à la place de teta dans geopot (3 endroits)
+    - passage de tsurpk en argument de caldyn
+    - calcul de dtetaecdt
+
+* Modif de vlspltqs.F
+    - modif taille de tempe
+    - calcul de tempe (via tpot2t)
+
+
+** APPEL DE LA PHYSIQUE
+**----------------------
+
+* Modif de calfis.F :
+    - on appelle physiq comme pour Venus et Titan quand on n'a pas la 
+      clé CPP_EARTH
+    - j'ai enlevé le mot clé planet_type, ça fait double emploi, non ?
+    - j'ai laissé nqtot dans les arguments d'appel à physiq... A reverifier.
+
+**** commit_v6 ****
+
+* Modif de defrun.F : commentaire indiquant qu'il ne sert plus donc pas a jour !
+
+* Modif de dynredem.F : correction faute orthographe dans commentaire
+
+** IOIPSL, real8 vs real4
+**-----------------------
+
+J'élimine ce truc bancal. Il faudra compiler IOIPSL en double précision.
+Du coup, pas de modifs spécifiques dans dyn3d. Par contre, il faudra éliminer
+ça dans les physiques !
+
+
+** Nombre de traceurs
+**-------------------
+
+* Modif de infotrac.F90 :
+    - definition de type_trac
+    - definition de nqtrue depend de planet_type
+    - lecture de traceur.def depend de planet_type
+
+* Modif de addfi.F :
+    - separation des traceurs 1 et 2 pour qtestt/qtestw valable seulement 
+      pour planet_type=earth
+
+* Modif de caladvtrac.F :
+    - deplacement du test sur planet_type pour virer tout ce qui concerne
+      dq quand on n'est pas sur Terre
+
+* Modif de calfis.F :
+    - ajout d'une remarque concernant pdq...
+
+
+** Avec ou sans advection de traceurs
+**-----------------------------------
+
+Reglé grace à iadv lu dans traceur.def: si 0, pas advecté.
+Sans traceurs, on a donc un seul traceur dummy, non advecté, mais 
+écrit dans start.nc et trimbalé partout...
+
+
+** Homogeneisation des .def
+**-------------------------
+
+* Modif des deftanks/[titan/venus]/[gcm/physiq/run].def :
+    - ajout planet_type
+    - passage des cles physiques vers physiq.def
+    - homogeneisation des parametres
+
+* Modif de conf_gcm.F :
+    - ok_strato mis à true par defaut
+
+* Modif de clesph0.h :
+    - ajout d'un commentaire: il faut virer ce fichier, ne sert plus a rien.
+
+
+** Homogeneisation de bilan_dyn
+**-----------------------------
+
+* Modif de leapfrog.def :
+    - premier appel: il y a first, deplacement de first=.false., elimination prem
+    - ajout d'initialisations
+    - ajout des tendances de la couche superieure (d*top)
+    - elimination itau_w (ne sert pas)
+    - couche superieure: ajout addfi séparé
+    - passage des d*dis en */s
+    - appel bilan_dyn
+
+* Modif de bilan_dyn.def :
+    - modification appel (pour sortie des tendances en moment cinetique)
+    - ajout tendances du* en m/s2
+    - ajout variables pour transport vertical
+    - ajout variables pour tendances en moment cinetique
+    - Champs advectés: base=6 (ovap est un traceur...), 
+      en commentaire pour l'instant, les traceurs.
+    - introduction des calculs pour transport vertical
+    - introduction des calculs pour tendances moment cinétique
+    - présentation des déclarations
+    - facteur fact_geovenus=-1 pour Vénus
+    - petit ajustement possible pour ncum (problèmes de précision)
+    - élminination des sorties grads
+    - modif noms temp et ecin
+    - modif sur incrementation itau et time
+    - definitions et sorties: 
+       limité pour l'instant à temp et ang, sans les psiQ
+       sans la somme en lat du transport vertical, à revoir (1D seulement?).
+    - modification calcul ang
+    - modification tpot2t
+    - correction sur fonction de courant psiQ
+
+
+** Choix de spécificités Terre dans gcm.F
+**---------------------------------------
+( certains appels ont été mis sous flag CPP_EARTH ou planet_type=earth alors )
+( qu'il sont aussi valables pour Venus et Titan...                           )
+( ils etaient sous flag IOIPSL avant...                                      )
+
+* Modif de gcm.F :
+    - appel de dynetat0 modulé selon planet_type (mars est un cas à part)
+    - appel de dynredem0 modulé selon planet_type (mars est un cas à part)
+    - appel de iniphysiq: a mettre sous cle CPP_PHYS pour cas sans physique
+
+* Modif de leapfrog.F :
+    - appel de dynredem1 modulé selon planet_type (mars est un cas à part)
+
+* Modif de calfis.F :
+    - appel de physiq: a mettre sous cle CPP_PHYS pour cas sans physique
+    - conservation de la possibilité de nsplit_phys
+    - ajout commentaire sur unité des tendances
+
+* Modif de conf_gcm.F :
+    - commentaires pour nsplit_phys
+
+
+**** commit_v7 ****
+
+* Mise à niveau (de la dynamique) par rapport à la version 1447 de LMDZ5
+* ----------------------------------------------------------------------
+
+* Pour l'instant, on n'a pas touché à dyn3dpar, donc pour l'instant on ne
+  fait que recopier les fichiers de la version 1447
+
+* Mise à jour de routines (dans dyn3d) qui n'ont changé que côté LMDZ5:
+- ener.h
+- grid_noro.F
+- iniacademic.F
+- integrd.F
+- limit_netcdf.F90
+
+* Mise à jour des routines qui ont changé des deux côtés:
+- addfi.F 
+  * ajout d'un "USE control_mod, ONLY : planet_type"
+  * mise en forme du if (planet_type=="earth") à l'identique de la revision 1447 (pour être peinard vis-à-vis de futures diff).
+- caladvtrac.F 
+  * ajout d'un "USE control_mod, ONLY : iapp_tracvl,planet_type"
+  * mise en conformité de la taille du tableau dq(ip1jmp1,llm,nqtot) et non pas dq(ip1jmp1,llm,2) (qui oblige à avoir au moins 2 traceurs...)
+  * mise entre if (planet_type=="earth") des calculs après advtrac (à nouveau, il faut avoir au moins 2 traceurs pour que ça ait un sens; et encore, ce morceau ne sert peut-être au final à rien).
+  * A nouveau ces modifs étaient déjà en partie déjà faites; j'ai juste remis en forme comme dans la révision 1447 pour rester homogène avec le code terrestre.
+- gcm.F
+  * Mise d'un #ifdef CPP_PHYS autoure de Init_Phys_lmdz et InitComgeomphy , au lieu du (bancal) #ifdef CPP_EARTH
+  * De même il faut bel et bien un #ifdef CPP_PHYS autour de iniphysiq & co.
+- infotrac.F90
+  * Ajout des modifs de forme et correction sur l'utilisation de trim() et taille des tableaux str1(23),str2(23)
+  * On garde un type_trac='plnt' pour les planètes (Attention, il faudra vérifier que ça ne casse rien par ailleurs et surtout n'est-ce finalement pas redoundant avec le planet_type?).
+- leapfrog.F
+  * Ajout des modifs/améliorations pour le cas académique sans physique
+   mais en utilisant dutop(),dvtop(), etc. pour le sponge layer
+   
+**** commit_v8 ****
+
+** ADAPTATION DYNAMIQUE PARALLELE AU CP(T)
+------------------------------------------
+
+Remarques:
+----------
+- Modifs non testées par une compilation/exécution du code; finalement s'organiser un mode de fonctionnement ou on peut compiler le code (au moins sans physique) est assez impératif.
+- On pourrait peut-être faire de cpdet.F90 un module...
+
+Retour sur leapfrog.F: (version séquentielle, dans dyn3d):
+----------------------
+- On revient en arrière sur l'utilisation de dutop(),dvtop(),dtetatop() au lieu des dufi(),dvfi() et dtetafi() pour les appels à top_bound. Dans la version terrestre, différente du sponge Martien (et Vénusien), ces tendances sont liées.
+=> A 'hamoniser' plus tard.
+
+Modifications (dans dyn3dpar):
+------------------------------
+
+* infotrac.F90 : recopié à l'identique depuis dyn3d
+
+* comconst.h : recopié à l'identique depuis dyn3d
+
+* caldyn0.F : recopié à l'identique depuis dyn3d
+
+* cpdet.F :
+  - création des routines t2tpot_p et tpot2t_p , versions // de t2tpot et tpot2t
+
+* gcm.F :
+  - on encadre les appels à Init_Phys_lmdz et Init_interface_dyn_phys par des #ifdef CPP_PHYS (et non plus ifdef CPP_EARTH).
+  - ajout de l'appel à ini_cpdet pour Cp(T)
+  - appel de dynetat0 modulé selon planet_type (Mars est le cas pathologique)
+  - appel à iniphysiq encadré par un #ifdef CPP_PHYS
+  - appel de dynredem0_p modulé selon planet_type (Mars est le cas pathologique)
+  
+* leapfrog_p.F :
+  - ajout variables temp et tsurpk
+  - ajout des calculs des hallos pour temp() et tsurkp() (NOTE POUR PLUS TARD: vérifier que c'est bien nécessaire...)
+  - utilisation tpot2t_p et calcul de tsurkp() avant appel à geopot_p (sans oublier de modifier argument de geopot_p, teta => tsurpk). (3 fois)
+  - ajout argument tsurpk dans l'appel à caldyn_p.
+  - ajout des passages en (m/s)/s des dudis , dvdis et dtetadis.
+  - calcul de dtetaecdt en passant par la température.
+  - changement des arguments de l'appel à bilan_dyn_p.
+  - appel de dynredem1_p modulé selon planet_type (Mars est le cas pathologique).
+
+* calfis_p.F :
+  - utilisation de la clef CPP_PHYS (et non plus CPP_EARTH).
+  - ajout des variables locales zteta et zpk.
+  - ajout calcul de zteta et zpk.
+  - calcul de ztfi via tpot2t_p (NOTE POUR PLUS TARD: vérifier que la taille "physique" du champ ne pose pas pb par rapport au découpage //).
+  - appel de la routine physiq selon planet_type.
+  - modification calcul de pdhfi.
+  
+* caldyn_p.F :
+  - ajout de tsurpk dans les arguments.
+  - passage de tsurkp à la place de teta dans dudv2_p.
+  - passage de tsurkp à la place de teta dans sortvarc.
+  
+* vlspltqs_p.F :
+  - modification de la taille de tempe (tempe(ip1jmp1,llm) au lieu de tempe(ip1jmp1).
+  - calcul de tempe via tpot2t_p (NOTE POUR PLUS TARD: probablement à revoir! Etrangement vlspltqs_p ne contient aucune instruction OpenMP !?! Il y a là un truc qui m'échappe...)
+
+* bilan_dyn_p.F : A FAIRE... (mis de côté pour l'instant car pas sûr que l'ancien bilan_dyn_p fonctionne en mode mixte mpi/omp, à vérifier d'abord, avant de tenter des modifs...) 
+
+**** commit_v11 ****
+
+24/01/2011 ajout du modele meso-echelle martien, ancienne physique -- A. Spiga
Index: trunk/chantiers/commit_v11.log
===================================================================
--- trunk/chantiers/commit_v11.log	(revision 11)
+++ 	(revision )
@@ -1,1 +1,0 @@
-24/01/2011 ajout du modele meso-echelle martien, ancienne physique -- A. Spiga
Index: trunk/chantiers/commit_v5.log
===================================================================
--- trunk/chantiers/commit_v5.log	(revision 11)
+++ 	(revision )
@@ -1,60 +1,0 @@
-** ADAPTATION GCM POUR CP(T)
-**--------------------------
-
-* Ajout d'un fichier cpdet.F contenant toutes les routines nécessaires à 
-  l'utilisation de Cp(T)
-  -> routines ini_cpdet, t2tpot, tpot2t
-  -> fonction cpdet(t)
-
-* Du coup, suppression de tous les cpdet.* de phytitan et phyvenus
-
-* Modif de gcm.F : initialisation ini_cpdet ajoutée
-
-* Modif de comconst.h : ajout de nu_venus et t0_venus
-
-* Modif de caldyn0.F : 
-    - dimensions de pk (ip1jmp1 à la place de iip1,jjp1)
-    - ajout de temp et tsurpk
-    - calcul de temp (tpot2t) et tsurpk
-    - passage de tsurpk à la place de teta dans sortvarc0
-    
-* Modif de caldyn.F :
-    - passage de tsurpk en argument
-    - dimensions de pk (ip1jmp1 à la place de iip1,jjp1)
-    - ajout de temp
-    - passage de tsurpk à la place de teta dans dudv2
-    - passage de tsurpk à la place de teta dans sortvarc
-
-* Modif de calfis.F :
-    - ajout de zteta et zpk
-    - calculs de zteta et zpk
-    - calcul de ztfi via tpot2t
-    - mise en commentaires de pcvgu/v/t/q car ne servent pas... 
-    - (ajout commentaire sur traceurs intensifs)
-    - modification du calcul de pdhfi
-
-* Modif de diagedyn.F :
-  (même si c'est une routine pure Terre, pour l'instant)
-    - calcul de la temperature 
-    - remplacement de RCPD par cpdet(T)
-
-* Modif de leapfrog.F :
-    - ajout de temp et tsurpk
-    - calcul de temp (tpot2t) et tsurpk (3 endroits)
-    - passage de tsurpk à la place de teta dans geopot (3 endroits)
-    - passage de tsurpk en argument de caldyn
-    - calcul de dtetaecdt
-
-* Modif de vlspltqs.F
-    - modif taille de tempe
-    - calcul de tempe (via tpot2t)
-
-
-** APPEL DE LA PHYSIQUE
-**----------------------
-
-* Modif de calfis.F :
-    - on appelle physiq comme pour Venus et Titan quand on n'a pas la 
-      clé CPP_EARTH
-    - j'ai enlevé le mot clé planet_type, ça fait double emploi, non ?
-    - j'ai laissé nqtot dans les arguments d'appel à physiq... A reverifier.
Index: trunk/chantiers/commit_v6.log
===================================================================
--- trunk/chantiers/commit_v6.log	(revision 11)
+++ 	(revision )
@@ -1,113 +1,0 @@
-* Modif de defrun.F : commentaire indiquant qu'il ne sert plus donc pas a jour !
-
-* Modif de dynredem.F : correction faute orthographe dans commentaire
-
-** IOIPSL, real8 vs real4
-**-----------------------
-
-J'élimine ce truc bancal. Il faudra compiler IOIPSL en double précision.
-Du coup, pas de modifs spécifiques dans dyn3d. Par contre, il faudra éliminer
-ça dans les physiques !
-
-
-** Nombre de traceurs
-**-------------------
-
-* Modif de infotrac.F90 :
-    - definition de type_trac
-    - definition de nqtrue depend de planet_type
-    - lecture de traceur.def depend de planet_type
-
-* Modif de addfi.F :
-    - separation des traceurs 1 et 2 pour qtestt/qtestw valable seulement 
-      pour planet_type=earth
-
-* Modif de caladvtrac.F :
-    - deplacement du test sur planet_type pour virer tout ce qui concerne
-      dq quand on n'est pas sur Terre
-
-* Modif de calfis.F :
-    - ajout d'une remarque concernant pdq...
-
-
-** Avec ou sans advection de traceurs
-**-----------------------------------
-
-Reglé grace à iadv lu dans traceur.def: si 0, pas advecté.
-Sans traceurs, on a donc un seul traceur dummy, non advecté, mais 
-écrit dans start.nc et trimbalé partout...
-
-
-** Homogeneisation des .def
-**-------------------------
-
-* Modif des deftanks/[titan/venus]/[gcm/physiq/run].def :
-    - ajout planet_type
-    - passage des cles physiques vers physiq.def
-    - homogeneisation des parametres
-
-* Modif de conf_gcm.F :
-    - ok_strato mis à true par defaut
-
-* Modif de clesph0.h :
-    - ajout d'un commentaire: il faut virer ce fichier, ne sert plus a rien.
-
-
-** Homogeneisation de bilan_dyn
-**-----------------------------
-
-* Modif de leapfrog.def :
-    - premier appel: il y a first, deplacement de first=.false., elimination prem
-    - ajout d'initialisations
-    - ajout des tendances de la couche superieure (d*top)
-    - elimination itau_w (ne sert pas)
-    - couche superieure: ajout addfi séparé
-    - passage des d*dis en */s
-    - appel bilan_dyn
-
-* Modif de bilan_dyn.def :
-    - modification appel (pour sortie des tendances en moment cinetique)
-    - ajout tendances du* en m/s2
-    - ajout variables pour transport vertical
-    - ajout variables pour tendances en moment cinetique
-    - Champs advectés: base=6 (ovap est un traceur...), 
-      en commentaire pour l'instant, les traceurs.
-    - introduction des calculs pour transport vertical
-    - introduction des calculs pour tendances moment cinétique
-    - présentation des déclarations
-    - facteur fact_geovenus=-1 pour Vénus
-    - petit ajustement possible pour ncum (problèmes de précision)
-    - élminination des sorties grads
-    - modif noms temp et ecin
-    - modif sur incrementation itau et time
-    - definitions et sorties: 
-       limité pour l'instant à temp et ang, sans les psiQ
-       sans la somme en lat du transport vertical, à revoir (1D seulement?).
-    - modification calcul ang
-    - modification tpot2t
-    - correction sur fonction de courant psiQ
-
-
-** Choix de spécificités Terre dans gcm.F
-**---------------------------------------
-( certains appels ont été mis sous flag CPP_EARTH ou planet_type=earth alors )
-( qu'il sont aussi valables pour Venus et Titan...                           )
-( ils etaient sous flag IOIPSL avant...                                      )
-
-* Modif de gcm.F :
-    - appel de dynetat0 modulé selon planet_type (mars est un cas à part)
-    - appel de dynredem0 modulé selon planet_type (mars est un cas à part)
-    - appel de iniphysiq: a mettre sous cle CPP_PHYS pour cas sans physique
-
-* Modif de leapfrog.F :
-    - appel de dynredem1 modulé selon planet_type (mars est un cas à part)
-
-* Modif de calfis.F :
-    - appel de physiq: a mettre sous cle CPP_PHYS pour cas sans physique
-    - conservation de la possibilité de nsplit_phys
-    - ajout commentaire sur unité des tendances
-
-* Modif de conf_gcm.F :
-    - commentaires pour nsplit_phys
-
-
Index: trunk/chantiers/commit_v7.log
===================================================================
--- trunk/chantiers/commit_v7.log	(revision 11)
+++ 	(revision )
@@ -1,32 +1,0 @@
-* Mise à niveau (de la dynamique) par rapport à la version 1447 de LMDZ5
-* ----------------------------------------------------------------------
-
-* Pour l'instant, on n'a pas touché à dyn3dpar, donc pour l'instant on ne
-  fait que recopier les fichiers de la version 1447
-
-* Mise à jour de routines (dans dyn3d) qui n'ont changé que côté LMDZ5:
-- ener.h
-- grid_noro.F
-- iniacademic.F
-- integrd.F
-- limit_netcdf.F90
-
-* Mise à jour des routines qui ont changé des deux côtés:
-- addfi.F 
-  * ajout d'un "USE control_mod, ONLY : planet_type"
-  * mise en forme du if (planet_type=="earth") à l'identique de la revision 1447 (pour être peinard vis-à-vis de futures diff).
-- caladvtrac.F 
-  * ajout d'un "USE control_mod, ONLY : iapp_tracvl,planet_type"
-  * mise en conformité de la taille du tableau dq(ip1jmp1,llm,nqtot) et non pas dq(ip1jmp1,llm,2) (qui oblige à avoir au moins 2 traceurs...)
-  * mise entre if (planet_type=="earth") des calculs après advtrac (à nouveau, il faut avoir au moins 2 traceurs pour que ça ait un sens; et encore, ce morceau ne sert peut-être au final à rien).
-  * A nouveau ces modifs étaient déjà en partie déjà faites; j'ai juste remis en forme comme dans la révision 1447 pour rester homogène avec le code terrestre.
-- gcm.F
-  * Mise d'un #ifdef CPP_PHYS autoure de Init_Phys_lmdz et InitComgeomphy , au lieu du (bancal) #ifdef CPP_EARTH
-  * De même il faut bel et bien un #ifdef CPP_PHYS autour de iniphysiq & co.
-- infotrac.F90
-  * Ajout des modifs de forme et correction sur l'utilisation de trim() et taille des tableaux str1(23),str2(23)
-  * On garde un type_trac='plnt' pour les planètes (Attention, il faudra vérifier que ça ne casse rien par ailleurs et surtout n'est-ce finalement pas redoundant avec le planet_type?).
-- leapfrog.F
-  * Ajout des modifs/améliorations pour le cas académique sans physique
-   mais en utilisant dutop(),dvtop(), etc. pour le sponge layer
-   
Index: trunk/chantiers/commit_v8.log
===================================================================
--- trunk/chantiers/commit_v8.log	(revision 11)
+++ 	(revision )
@@ -1,60 +1,0 @@
-** ADAPTATION DYNAMIQUE PARALLELE AU CP(T)
-------------------------------------------
-
-Remarques:
-----------
-- Modifs non testées par une compilation/exécution du code; finalement s'organiser un mode de fonctionnement ou on peut compiler le code (au moins sans physique) est assez impératif.
-- On pourrait peut-être faire de cpdet.F90 un module...
-
-Retour sur leapfrog.F: (version séquentielle, dans dyn3d):
-----------------------
-- On revient en arrière sur l'utilisation de dutop(),dvtop(),dtetatop() au lieu des dufi(),dvfi() et dtetafi() pour les appels à top_bound. Dans la version terrestre, différente du sponge Martien (et Vénusien), ces tendances sont liées.
-=> A 'hamoniser' plus tard.
-
-Modifications (dans dyn3dpar):
-------------------------------
-
-* infotrac.F90 : recopié à l'identique depuis dyn3d
-
-* comconst.h : recopié à l'identique depuis dyn3d
-
-* caldyn0.F : recopié à l'identique depuis dyn3d
-
-* cpdet.F :
-  - création des routines t2tpot_p et tpot2t_p , versions // de t2tpot et tpot2t
-
-* gcm.F :
-  - on encadre les appels à Init_Phys_lmdz et Init_interface_dyn_phys par des #ifdef CPP_PHYS (et non plus ifdef CPP_EARTH).
-  - ajout de l'appel à ini_cpdet pour Cp(T)
-  - appel de dynetat0 modulé selon planet_type (Mars est le cas pathologique)
-  - appel à iniphysiq encadré par un #ifdef CPP_PHYS
-  - appel de dynredem0_p modulé selon planet_type (Mars est le cas pathologique)
-  
-* leapfrog_p.F :
-  - ajout variables temp et tsurpk
-  - ajout des calculs des hallos pour temp() et tsurkp() (NOTE POUR PLUS TARD: vérifier que c'est bien nécessaire...)
-  - utilisation tpot2t_p et calcul de tsurkp() avant appel à geopot_p (sans oublier de modifier argument de geopot_p, teta => tsurpk). (3 fois)
-  - ajout argument tsurpk dans l'appel à caldyn_p.
-  - ajout des passages en (m/s)/s des dudis , dvdis et dtetadis.
-  - calcul de dtetaecdt en passant par la température.
-  - changement des arguments de l'appel à bilan_dyn_p.
-  - appel de dynredem1_p modulé selon planet_type (Mars est le cas pathologique).
-
-* calfis_p.F :
-  - utilisation de la clef CPP_PHYS (et non plus CPP_EARTH).
-  - ajout des variables locales zteta et zpk.
-  - ajout calcul de zteta et zpk.
-  - calcul de ztfi via tpot2t_p (NOTE POUR PLUS TARD: vérifier que la taille "physique" du champ ne pose pas pb par rapport au découpage //).
-  - appel de la routine physiq selon planet_type.
-  - modification calcul de pdhfi.
-  
-* caldyn_p.F :
-  - ajout de tsurpk dans les arguments.
-  - passage de tsurkp à la place de teta dans dudv2_p.
-  - passage de tsurkp à la place de teta dans sortvarc.
-  
-* vlspltqs_p.F :
-  - modification de la taille de tempe (tempe(ip1jmp1,llm) au lieu de tempe(ip1jmp1).
-  - calcul de tempe via tpot2t_p (NOTE POUR PLUS TARD: probablement à revoir! Etrangement vlspltqs_p ne contient aucune instruction OpenMP !?! Il y a là un truc qui m'échappe...)
-
-* bilan_dyn_p.F : A FAIRE... (mis de côté pour l'instant car pas sûr que l'ancien bilan_dyn_p fonctionne en mode mixte mpi/omp, à vérifier d'abord, avant de tenter des modifs...) 