Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/EXCLUS_de_SVN.txt
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/EXCLUS_de_SVN.txt	(revision 22)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/EXCLUS_de_SVN.txt	(revision 22)
@@ -0,0 +1,11 @@
+
+les fichiers mis a jour par makeles
+
+cp -rf ${libphys_folder}/liblmd.a ${whereliblmd}/
+cp -rf ${phymars_folder}/dimphys.h ${here}/modif_mars/
+cp -rf ${folder}/call_meso_inifis.inc ${here}/modif_mars/
+cp -rf ${folder}/call_meso_physiq.inc ${here}/modif_mars/
+cp -rf ${folder}/inc/module_lmd_driver_output*.inc ${here}/modif_mars/
+cp -rf ${phymars_folder}/wrf_output_2d.h ${here}/modif_mars/
+cp -rf ${phymars_folder}/wrf_output_3d.h ${here}/modif_mars/
+
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/call_meso_inifis.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/call_meso_inifis.inc	(revision 21)
+++ 	(revision )
@@ -1,19 +1,0 @@
-!
-! part of the module_lmd_driver program
-! that is (number of domains)-dependent
-!
-
-
-       CALL meso_inifis(ngridmx,nlayer,nqmx,dt, &
-               wday_ini,wdaysec,               &
-               wappel_phys,wecri_phys,         &
-               lat_vec,lon_vec,aire_vec,1/reradius,g,r_d,cp,           &
-               womeg,wmugaz,                                           &
-               wyear_day,wperiheli,waphelie,wperi_day,wobliquit,       &
-               wz0,wemin_turb,wlmixmin,                                &
-               wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
-               wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
-               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
-
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/call_meso_physiq.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/call_meso_physiq.inc	(revision 21)
+++ 	(revision )
@@ -1,17 +1,0 @@
-!
-! part of the module_lmd_driver program
-! that is (number of domains)-dependent
-!
-
-
-       CALL meso_physiq (ngrid,nlayer,nq,                              &
-               firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
-               pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
-               wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
-               wecri_phys_sec,                &
-	       output_tab2d, output_tab3d, flag_LES)
-
-
-
-
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/dimphys.h
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/dimphys.h	(revision 21)
+++ 	(revision )
@@ -1,13 +1,0 @@
-!-----------------------------------------------------------------------
-!   INCLUDE 'dimphys.h'
-
-
-         INTEGER, parameter :: wiim=36
-         INTEGER, parameter :: wjjm=36
-         INTEGER, PARAMETER :: ngridmx=1296
-         INTEGER, parameter :: nlayermx=200
-         INTEGER, PARAMETER :: nsoilmx=10
-	
-!-----------------------------------------------------------------------
-
-	 
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output1.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output1.inc	(revision 21)
+++ 	(revision )
@@ -1,1 +1,0 @@
-       TSURF,&
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output2.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output2.inc	(revision 21)
+++ 	(revision )
@@ -1,5 +1,0 @@
-REAL, DIMENSION( ims:ime, jms:jme ), INTENT(INOUT)  :: &
-       TSURF,&
-   PSFC,TSK
-REAL, DIMENSION( ims:ime, kms:kme, jms:jme ), INTENT(OUT)  :: &
-   RTHBLTEN,RUBLTEN,RVBLTEN
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output3.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output3.inc	(revision 21)
+++ 	(revision )
@@ -1,1 +1,0 @@
-TSURF(i,j) = output_tab2d(subs,ind_TSURF)
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output4.inc
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/module_lmd_driver_output4.inc	(revision 21)
+++ 	(revision )
@@ -1,1 +1,0 @@
-  &    ,TSURF=grid%TSURF   &
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/wrf_output_2d.h
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/wrf_output_2d.h	(revision 21)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!-------------------
-! INCLUDE wrf_output_2d.h
-!-------------------
-      INTEGER, PARAMETER :: ind_TSURF = 1
-      INTEGER, PARAMETER :: n2d = 1
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/wrf_output_3d.h
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/wrf_output_3d.h	(revision 21)
+++ 	(revision )
@@ -1,4 +1,0 @@
-!-------------------
-! INCLUDE wrf_output_3d.h
-!-------------------
-           INTEGER, PARAMETER :: n3d = 1
Index: trunk/mesoscale/LMD_MM_MARS/NOTES.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 21)
+++ trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 22)
@@ -0,0 +1,2 @@
+- attention a cp et R, normaliser une bonne fois pour toutes
+- il manque sur le SVN les cas idealises