Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 22)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 23)
@@ -106,8 +106,8 @@
 #sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g configure.wrf > yeah
 mv yeah configure.wrf
-sed s+"-fastsse"+"-fastsse -mcmodel=medium -Mlarge_arrays"+g configure.wrf > yeah
 
-	### TEST TEST
-	mv yeah configure.wrf
+	#sed s+"-fastsse"+"-fastsse -mcmodel=medium -Mlarge_arrays"+g configure.wrf > yeah
+	#### TEST TEST
+	#mv yeah configure.wrf
 
 sed s+"-fastsse"+" "+g configure.wrf > yeah
Index: trunk/mesoscale/LMD_MM_MARS/NOTES.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 22)
+++ trunk/mesoscale/LMD_MM_MARS/NOTES.txt	(revision 23)
@@ -1,2 +1,7 @@
 - attention a cp et R, normaliser une bonne fois pour toutes
 - il manque sur le SVN les cas idealises
+mpi_64_pgf7_ncdf4_mpi1.2.txt
+- probleme lors de la compilation de solve_em : LINUX runs out of memory [huchard]
+- IL FAUT COMPILER SUR auric
+
+nougaro est lent a la compilation, utiliser surtout auric
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64.configure
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64.configure	(revision 23)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64.configure	(revision 23)
@@ -0,0 +1,4 @@
+  14.  PC Linux x86_64 (IA64 and AMD Opteron), GNU Fortran compiler, DM-Parallel  (RSL, MPICH, Allows nesting)
+  15.  PC Linux x86_64 (IA64 and Opteron), GNU Fortran compiler   (Single-threaded, RSL, Allows nesting)
+  16.  PC Linux x86_64 (IA64 and Opteron), GNU Fortran compiler  DM-Parallel (RSL_LITE, OpenMPI, Allows nesting)
+
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64_single.txt
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64_single.txt	(revision 23)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnu_64_single.txt	(revision 23)
@@ -0,0 +1,53 @@
+gnu simple en 64 bits sur huchard, etc...
+-------------------
+
+choix 99 de makemeso pour le moment
+
+
+**** segmentation fault dans le cas de la montagne 2D ****
+
+
+
+autre possibilite: essayer les librairies NETCDF4.0 d'Ehouarn
+
+
+essai sans O3
+NB: on a juste a modifier SRC/WRFV2/configure.defaults.gfortran64
+>>> NE REGLE PAS LE PB
+
+
+IL Y A UN PROBLEME AVEC LES VALEURS CALCULEES...
+ou: Floating exception sur auric
+
+
+../mars_lmd/libo/liblmd.a(physdem1.o): In function `physdem1_':
+physdem1.F:(.text+0x6bb): undefined reference to `nf_put_var_real_'
+physdem1.F:(.text+0x74a): undefined reference to `nf_put_var_real_'
+physdem1.F:(.text+0x7d9): undefined reference to `nf_put_var_real_'
+physdem1.F:(.text+0x868): undefined reference to `nf_put_var_real_'
+physdem1.F:(.text+0x8f7): undefined reference to `nf_put_var_real_'
+../mars_lmd/libo/liblmd.a(physdem1.o):physdem1.F:(.text+0x986): more undefined
+references to `nf_put_var_real_' follow
+../mars_lmd/libo/liblmd.a(meso_readtesassim.o): In function
+`meso_readtesassim_':
+meso_readtesassim.F90:(.text+0x1224): undefined reference to
+`nf_get_var_real_'
+meso_readtesassim.F90:(.text+0x14cc): undefined reference to
+`nf_get_var_real_'
+meso_readtesassim.F90:(.text+0x179a): undefined reference to
+`nf_get_var_real_'
+meso_readtesassim.F90:(.text+0x17dd): undefined reference to
+`nf_get_var_real_'
+../mars_lmd/libo/liblmd.a(readtesassim.o): In function `readtesassim_':
+readtesassim.F90:(.text+0x11ec): undefined reference to `nf_get_var_real_'
+../mars_lmd/libo/liblmd.a(readtesassim.o):readtesassim.F90:(.text+0x121b):
+more undefined references to `nf_get_var_real_' follow
+collect2: ld returned 1 exit status
+make[1]: [em_wrf] Error 1 (ignored)
+
+
+>>>> corrige en ajoutant dans makemeso
+
+                       sed s+"-L../mars_lmd/libo -llmd"+"-L../mars_lmd/libo
+-llmd $NETCDF/lib/libnetcdf.a"+g configure.wrf > yeah ; mv -f yeah
+configure.wrf ;;