Index: trunk/libf/dyn3d/bilan_dyn.F
===================================================================
--- trunk/libf/dyn3d/bilan_dyn.F	(revision 8)
+++ trunk/libf/dyn3d/bilan_dyn.F	(revision 37)
@@ -18,4 +18,6 @@
       USE IOIPSL
 #endif
+
+      USE control_mod, ONLY: planet_type 
 
       IMPLICIT NONE
@@ -145,7 +147,7 @@
       character*20,save :: znom2l(ntr,nQ)
       character*10,save :: zunites2(ntr,nQ)
-      character*10,save :: znom3(ntr,nQ)
-      character*20,save :: znom3l(ntr,nQ)
-      character*10,save :: zunites3(ntr,nQ)
+      character*10,save :: znom3(nQ)
+      character*20,save :: znom3l(nQ)
+      character*10,save :: zunites3(nQ)
 
       integer iave,itot,immc,itrs,istn
@@ -727,5 +729,5 @@
             enddo
          enddo
-      enddo
+!!      enddo
 
 c   transport vertical
@@ -767,5 +769,5 @@
             enddo
          enddo
-      enddo
+      enddo ! of do iQ=1,nQ
 
 c   fonction de courant pour la circulation meridienne moyenne
Index: trunk/libf/dyn3d/calfis.F
===================================================================
--- trunk/libf/dyn3d/calfis.F	(revision 8)
+++ trunk/libf/dyn3d/calfis.F	(revision 37)
@@ -487,5 +487,5 @@
 ! ne pose pas de probleme a priori.
 
-! #ifdef CPP_PHYS
+#ifdef CPP_PHYS
 
 !      write(lunout,*) 'PHYSIQUE AVEC NSPLIT_PHYS=',nsplit_phys
@@ -576,5 +576,6 @@
       zdqfi(:,:,:)=zdqfic(:,:,:)/nsplit_phys
 
-! #endif ! CPP_PHYS
+#endif
+! #endif of #ifdef CPP_PHYS
 
 500   CONTINUE
Index: trunk/libf/dyn3d/cpdet.F
===================================================================
--- trunk/libf/dyn3d/cpdet.F	(revision 8)
+++ trunk/libf/dyn3d/cpdet.F	(revision 37)
@@ -14,11 +14,10 @@
 
       SUBROUTINE ini_cpdet
+      
+      USE control_mod, ONLY: planet_type 
       IMPLICIT none
 c======================================================================
 c Initialisation de nu_venus et t0_venus
 c======================================================================
-
-! for planet_type:
-      USE control_mod
 
 ! for cpp, nu_venus and t0_venus:
@@ -40,8 +39,7 @@
 
       FUNCTION cpdet(t)
+
+      USE control_mod, ONLY: planet_type 
       IMPLICIT none
-
-! for planet_type:
-      USE control_mod
 
 ! for cpp, nu_venus and t0_venus:
@@ -63,5 +61,4 @@
 
       SUBROUTINE t2tpot(npoints, yt, yteta, ypk)
-      IMPLICIT none
 c======================================================================
 c Arguments:
@@ -73,7 +70,7 @@
 c======================================================================
 
-! for planet_type:
-      USE control_mod
-
+      USE control_mod, ONLY: planet_type 
+      IMPLICIT NONE
+      
 ! for cpp, nu_venus and t0_venus:
 #include "comconst.h"
@@ -97,5 +94,4 @@
 
       SUBROUTINE tpot2t(npoints,yteta, yt, ypk)
-      IMPLICIT none
 c======================================================================
 c Arguments:
@@ -107,6 +103,6 @@
 c======================================================================
 
-! for planet_type:
-      USE control_mod
+      USE control_mod, ONLY: planet_type 
+      IMPLICIT NONE
 
 ! for cpp, nu_venus and t0_venus:
Index: trunk/libf/dyn3d/diagedyn.F
===================================================================
--- trunk/libf/dyn3d/diagedyn.F	(revision 8)
+++ trunk/libf/dyn3d/diagedyn.F	(revision 37)
@@ -139,4 +139,6 @@
      $        , h_qs_pre, qw_pre, ql_pre, qs_pre , ec_pre
 
+
+      real,external :: cpdet
 
 #ifdef CPP_EARTH
@@ -209,5 +211,5 @@
 C         Air enthalpy
           zh_dair_col(i) = zh_dair_col(i)
-< ! ADAPTATION GCM POUR CP(T)
+! ADAPTATION GCM POUR CP(T)
      $        + cpdet(zt(i,k))*(1.-zqw(i,k)-zql(i,k)-zqs(i,k))
      $                       *zairm(i,k)*zt(i,k)
Index: trunk/libf/dyn3d/infotrac.F90
===================================================================
--- trunk/libf/dyn3d/infotrac.F90	(revision 8)
+++ trunk/libf/dyn3d/infotrac.F90	(revision 37)
@@ -316,7 +316,7 @@
        tname(new_iq)= tnom_0(iq)
        IF (iadv(new_iq)==0) THEN
-          ttext(new_iq)=str1(1:lnblnk(str1))
+          ttext(new_iq)=str1(1:len_trim(str1))
        ELSE
-          ttext(new_iq)=str1(1:lnblnk(str1))//descrq(iadv(new_iq))
+          ttext(new_iq)=str1(1:len_trim(str1))//descrq(iadv(new_iq))
        END IF
 
Index: trunk/libf/dyn3d/leapfrog.F
===================================================================
--- trunk/libf/dyn3d/leapfrog.F	(revision 8)
+++ trunk/libf/dyn3d/leapfrog.F	(revision 37)
@@ -116,4 +116,6 @@
       REAL dtetafi(ip1jmp1,llm),dqfi(ip1jmp1,llm,nqtot),dpfi(ip1jmp1)
 
+      real :: duspg(ip1jmp1,llm) ! for bilan_dyn
+
 c   variables pour le fichier histoire
       REAL dtav      ! intervalle de temps elementaire
@@ -179,4 +181,6 @@
 c-jld 
 
+      integer :: itau_w ! for write_paramLMDZ_dyn.h
+
       character*80 dynhist_file, dynhistave_file
       character(len=20) :: modname
@@ -192,4 +196,8 @@
       logical , parameter :: flag_verif = .false.
       
+      ! for CP(T)
+      real :: dtec
+      real,external :: cpdet
+      real :: ztetaec(ip1jmp1,llm)
 
       itaufin   = nday*day_step